"use client";

import React, { useEffect } from "react";
import { useRouter } from "next/navigation";

export default function RedirectToUseableWeb({ params }) {
  const router = useRouter();

  function generateRandomString(length = 10) {
    const characters =
      "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    let result = "";
    for (let i = 0; i < length; i++) {
      result += characters.charAt(
        Math.floor(Math.random() * characters.length)
      );
    }
    return result;
  }

  useEffect(() => {
    const getAndRedirectToUseableWebUrl = async () => {
      try {
        const _response = await fetch(`/api/share/zone_url`, {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify({}),
        });
        const _data = await _response.json();
        if (_data.ret === -1) {
          console.log("something went wrong");
          return;
        }
        let url = `https://${_data?.data?.share_url}`;
        if (!_data?.data?.share_url) url = "https://tiefen.fun";

        //重定向
        const randomStr = generateRandomString();
        const finalUrl = `${url}/zone/${params.user_id}/${randomStr}`;
        router.replace(finalUrl);
      } catch (error) {
        console.error(error);
      }
    };
    getAndRedirectToUseableWebUrl();
  }, []);

  return <div></div>;
}
